org.apache.ignite.ml.environment.parallelism

## Class NoParallelismStrategy

- java.lang.Object
- - org.apache.ignite.ml.environment.parallelism.NoParallelismStrategy

- All Implemented Interfaces:
    ParallelismStrategy

      public class NoParallelismStrategy
      extends Object
      implements ParallelismStrategy

  All tasks should be processed in one thread.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `NoParallelismStrategy.Stub<T>` Stub for Future interface implementation.

    - ### Nested classes/interfaces inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `ParallelismStrategy.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static ParallelismStrategy` | `INSTANCE` Instance.

    - ### Fields inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `NO_PARALLELISM, ON_DEFAULT_POOL`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getParallelism()` Returns default parallelism.
    `<T> Promise<T>` | `submit(IgniteSupplier<T> task)` Submit task.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.ignite.ml.environment.parallelism.ParallelismStrategy

      `submit`

- - ### Field Detail

    - #### INSTANCE

          public static final ParallelismStrategy INSTANCE

      Instance.

  - ### Method Detail

    - #### getParallelism

          public int getParallelism()

      Returns default parallelism.
      Specified by:
        `getParallelism` in interface `ParallelismStrategy`

    - #### submit

          public <T> Promise<T> submit(IgniteSupplier<T> task)

      Submit task.
      Specified by:
        `submit` in interface `ParallelismStrategy`
      Parameters:
        `task` - Task.
      Returns:
        The result of submit operation.

2022 Copyright © Apache Software Foundation
| Follow @ApacheIgnite
Ignite Database and Caching Platform | : ver. 2.12.0
Release Date | : January 10 2022